with Reps, Numerics, Funs2, Funs2.Num;
use Reps, Numerics;

pragma Elaborate (Reps,Numerics);

generic

  PDeg: in Natural;

package NumFuns2 is  -- provides numeric instantiation of Funs2
                     -- exposes only what is needed

  package NFF is new Funs2 (PDeg => PDeg, Scalar => Numeric);
  package NFN is new NFF.Num;
  package NFT renames NFF.Taylors;
  package NFM renames NFF.MiniFuns_Ops;

  subtype Numeric is Numerics.Numeric;
  function R2N(R: Rep) return Numeric renames Numerics.Scal;
  function N2R(N: Numeric) return Rep renames Numerics.Approx;

end NumFuns2;
