with Ada.Numerics.Generic_Elementary_Functions;

package Reps.Ops is

  package Rep_EF is new Ada.Numerics.Generic_Elementary_Functions(Rep);

  function Sqrt(R: Rep) return Rep renames Rep_EF.Sqrt;
  function Log(R: Rep) return Rep renames Rep_EF.Log;
  function Exp(R: Rep) return Rep renames Rep_EF.Exp;
  function Cos(R: Rep) return Rep renames Rep_EF.Cos;

end Reps.Ops;
