
package Rounding is          -- uses modify_fp_env.c
                             -- should be pretty portable

  procedure Relax_Checks;    -- round to nearest
                             -- allow underflows, overflows, division by zero, invalid ops
  procedure Restore_Checks;  -- round up
                             -- disallow underflows, overflows, division by zero, invalid ops

private

  Strict_Mode:  constant Integer := 1;
  Relaxed_Mode: constant Integer := 2;

  procedure Modify_FP_Env(New_Mode: in Integer);

  pragma Import(C,Modify_FP_Env,"modify_fp_env");

end Rounding;
