
package body Rounding is

  procedure Relax_Checks is
  begin
    I := FE_Test_Except(Excepts);
    if I /= 0 then raise NUMERIC_ERROR; end if;
    I := FE_Disable_Except(Excepts);
    I := FE_Set_Round(Nearest);
  end Relax_Checks;

  procedure Restore_Checks is
  begin
    I := FE_Clear_Except(Excepts);
    I := FE_Enable_Except(Excepts);
    if I < 0 then raise NUMERIC_ERROR; end if;
    I := FE_Set_Round(Upwards);
    if I /= 0 then raise NUMERIC_ERROR; end if;
  end Restore_Checks;

end Rounding;
