
generic

  with function "abs"(S: Scalar) return Scalar is <>;
  with function Inf(S: Scalar) return Rep is <>;
  with function Inv(S: Scalar) return Scalar is <>;

package ScalVectors.Ops is

  procedure Solve(A: in Matrix; B: in Vector; X: out Vector);      -- Solve A*X=B
  procedure Invert(A: in out Matrix);                              -- Invert A

private

  type Pivot is array(Integer range <>) of Integer;

  procedure Dgefa(A: in out Matrix; Pvt: out Pivot);
  procedure Dgesl(Pvt: in Pivot; A: in Matrix; B: in out Vector);
  procedure Dgedi(Pvt: in Pivot; A: in out Matrix; B: in out Vector);

end ScalVectors.Ops;
